#include "Particle.h"
#include <TMath.h>
#include "masses.h"

ClassImp(Particle);


Particle::Particle(Int_t jtogPid, Int_t pid, Double_t px, Double_t py, Double_t pz, Double_t E) :
    TObject(),
    /*   TLorentzVector(),*/
    fJtogPid(jtogPid),
    fPid(pid),
    fPx(px),
    fPy(py),
    fPz(pz),
    fE(E)
{
    // if(E==0){
	
    Double_t mass = Masses::getMass(pid);
    fE =  sqrt(mass*mass + px*px + py*py + pz*pz);
    
// SetPxPyPzE(px, py, pz, sqrt(mass*mass + px*px + py*py + pz*pz));
	// }
    
}

Particle::~Particle()
{
    
}
